Subject: Re: KASAN: use-after-free Read in bpf_prog_kallsyms_del

From: syzbot <[email-masked]>
Date: Wed, 27 Mar 2019 05:55:00 -0700

syzbot has bisected this bug to:

commit f4d7e40a5b7157e1329c3c5b10f60d8289fc2941
Author: Alexei Starovoitov <[email-masked]>
Date:   Fri Dec 15 01:55:06 2017 +0000

     bpf: introduce function calls (verification)

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=14d1915d200000
start commit:   1ce80e0f Merge tag 'fsnotify_for_v4.20-rc3' of git://git.k..
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=16d1915d200000
console output: https://syzkaller.appspot.com/x/log.txt?x=12d1915d200000
kernel config:  https://syzkaller.appspot.com/x/.config?x=d86f24333880b605
dashboard link: https://syzkaller.appspot.com/bug?extid=10cffda23c81a3ff1088
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17e0be2b400000

Reported-by: [email-masked]
Fixes: f4d7e40a5b71 ("bpf: introduce function calls (verification)")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection